## fapg 0.32

=== Makefile ===
PRE = /usr/local
BIN = $(PRE)/bin
DOC = $(PRE)/share/doc/fapg
MAN = $(PRE)/share/man/man1

fapg:fapg.c genres.h
	gcc -Wall -o fapg fapg.c

clean:
	rm -f fapg

install:fapg
	mkdir -p $(BIN) $(DOC) $(MAN)
	cp -f fapg $(BIN)
	cp -f COPYING README $(DOC)
	cp -f fapg.1 $(MAN)

uninstall:
	rm -f $(BIN)/fapg
	rm -rf $(DOC)
	rm -f $(MAN)/fapg.1

## fapg 0.38

=== Makefile ===
PRE = /usr/local
BIN = $(PRE)/bin
DOC = $(PRE)/share/doc/fapg
MAN = $(PRE)/share/man/man1
CFLAGS=-g2 -funsigned-char

fapg: fapg.c

fapg.c:	genres.h
	touch $@

clean:
	rm -f fapg

beautify:
	indent -nut -kr -ncs -nsaf -npcs -nsai -nsaw -o fapg.good.c fapg.c &&\
	mv fapg.good.c fapg.c
	splint -checks fapg.c

install: fapg
	mkdir -p $(BIN) $(DOC) $(MAN)
	cp -f fapg $(BIN)
	cp -f COPYING README $(DOC)
	cp -f fapg.1 $(MAN)

uninstall:
	rm -f $(BIN)/fapg
	rm -rf $(DOC)
	rm -f $(MAN)/fapg.1

## fapg 0.41

=== debian/changelog ===
fapg (0.41-2) unstable; urgency=medium

  * QA upload
  * Update debhelper compat to 7 (Closes: #965516)
  * Add missing rules targets (Closes: #999118)
  * Convert to source format 3.0 (quilt)

 -- Bastian Germann <bage@debian.org>  Wed, 17 May 2023 22:57:50 +0200

fapg (0.41-1) unstable; urgency=low

  * New upstream release

 -- Antoine Jacquet <royale@zerezo.com>  Mon, 10 Mar 2008 19:38:16 +0100

fapg (0.40-1) unstable; urgency=low

  * New upstream release (Closes: #467519)

 -- Antoine Jacquet <royale@zerezo.com>  Sat, 01 Mar 2008 19:56:07 +0100

fapg (0.39-1) unstable; urgency=low

  * New upstream release (Closes: #466454)
  * debian/control: uriparser dependency introduced
  * debian/control: Standards-Version bumped to 3.7.3
  * debian/control: Homepage link added
  * debian/rules: Autotools migration adopted

 -- Sebastian Pipping <webmaster@hartwork.org>  Tue, 26 Feb 2008 05:22:34 +0100

fapg (0.38-2) unstable; urgency=low

  * Full changelog was restored.
  * Upgrade compat and debhelper versions.

 -- Antoine Jacquet <royale@zerezo.com>  Sun, 13 May 2007 13:42:17 +0200

fapg (0.38-1) unstable; urgency=low

  * New upstream release.
  * The rules file was updated (Closes: #395684)
  * The control file standards version was updated.

 -- Antoine Jacquet <royale@zerezo.com>  Tue, 08 May 2007 16:51:26 +0200

fapg (0.33-2) unstable; urgency=low

  * Rebuilt properly to avoid native packaging.

 -- Antoine Jacquet <royale@zerezo.com>  Wed, 18 Jan 2006 00:11:53 +0100

fapg (0.33-1) unstable; urgency=low

  * New upstream release.

 -- Antoine Jacquet <royale@zerezo.com>  Tue, 17 Jan 2006 23:03:21 +0100

fapg (0.32-2) unstable; urgency=low

  * The rules file was cleaned up.

 -- Antoine Jacquet <royale@zerezo.com>  Mon, 14 Feb 2005 20:05:28 +0100

fapg (0.32-1) unstable; urgency=low

  * New upstream version (Closes: #294089)

 -- Antoine Jacquet <royale@zerezo.com>  Mon,  7 Feb 2005 21:40:27 +0100

fapg (0.31-1) unstable; urgency=low

  * Initial Release.

 -- Antoine Jacquet <royale@zerezo.com>  Sat,  5 Feb 2005 20:23:49 +0100

=== debian/control ===
Source: fapg
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), liburiparser-dev (>= 0.6.3)
Standards-Version: 3.7.3
Homepage: http://royale.zerezo.com/fapg/

Package: fapg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast Audio Playlist Generator
 FAPG is a tool to generate list of audio files (Wav, MP3, Ogg, etc)
 in various formats (M3U, PLS, XSPF, HTML, etc).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-arch build-indep
build-indep:

build-arch:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/fapg.sgml > fapg.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fapg.
	$(MAKE) DESTDIR=$(CURDIR)/debian/fapg install


# Build architecture-independent files here.
binary-indep: build-indep install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary build-indep install

## fapg 0.44

=== debian/changelog ===
fapg (0.44-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Wed, 05 Nov 2025 18:07:48 -0300

fapg (0.44-2) experimental; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/testes/control: Create autopkgtest.

 -- Ana Livia Mendes Gomes <analivia.exe@gmail.com>  Sun, 01 Jun 2025 14:49:08 -0300

fapg (0.44-1) unstable; urgency=medium

  * QA upload.

  * Added d/watch file to track upstream versions.
  * New upstream version 0.44
  * Dropped 1010-code-errors.patch and 1020-man-backslash-escape.patch
    included upstream.
  * Added 1010-no-path-max.patch to fix Hurd build problem.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Oct 2024 08:22:50 +0200

fapg (0.41-3) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.7.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Bump debhelper from deprecated 7 to 13.
  * Switched to simple dh based build and added patches to get it working.
  * Escape unescaped backslash in man page. (Closes: #594008)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Oct 2024 22:23:23 +0200

=== debian/control ===
Source: fapg
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               liburiparser-dev (>= 0.6.3),
Standards-Version: 4.7.0
Homepage: http://royale.zerezo.com/fapg/
Vcs-Browser: https://salsa.debian.org/debian/fapg
Vcs-Git: https://salsa.debian.org/debian/fapg.git

Package: fapg
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Fast Audio Playlist Generator
 FAPG is a tool to generate list of audio files (Wav, MP3, Ogg, etc)
 in various formats (M3U, PLS, XSPF, HTML, etc).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/tests/control ===
Test-Command: fapg 2>&1 | grep "^Usage"
Restrictions: superficial

=== debian/watch ===
version=4
http://royale.zerezo.com/fapg/changelog.php http://royale.zerezo.com/fapg/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
